﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 54540 Series (1 yr) VER IEEE /5500+SC600,DMM
DATE:                  2017-03-29 12:50:09
AUTHOR:                Fluke
REVISION:              $Revision: 19010 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       271
CONFIGURATION:         Fluke 5500A (S6)
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:  ZY
#
#  Model(s) Covered:  54540A, 54542A, 54540C, 54542C
#
#  Source(s):         HP 54520 and 54540 Series Oscilloscopes Service Guide,
#                     Part No. 54542-97011, 2nd Edition, November 1993
#
#                     HP 54520C and 54540C Series Oscilloscopes Service Guide,
#                     Part No. 54542-97044, 1st Edition, October 1995
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#                     Tee, 50 Ohm, BNC(f)-(f)-(f), Pomona Model 3284
#                     Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-12, 2 ea.
#                     Adapter, BNC(f) to double-banana(m), Pomona Model 1269
#                     Formatted, blank floppy disk
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  5500         1Vpp                         500MH          LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.010  DISP         or later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method (No NTHROW)

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         30 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  HEAD         EQUIPMENT REQUIREMENTS
  1.020  OPBR         -z Do you want to REVIEW the list of additional
  1.020  OPBR         equipment and/or accessories required?

  1.021  IF           MEM1
# Description of additional test equipment required to run this procedure.
  1.022  DISP         The following additional equipment and/or
  1.022  DISP         accessories are required:
  1.022  DISP
  1.022  DISP         - Tee, 50 Ohm, BNC(f)-(f)-(f), Pomona Model 3284
  1.022  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-12, 2 ea.
  1.022  DISP         - Adapter, BNC(f) to double-banana(m), Pomona Model 1269
  1.022  DISP         - Formatted, blank floppy disk
  1.023  ENDIF

  1.024  DISP         Connect the UUT to IEEE-488 port 1 and turn it on.

  1.025  IEEE         *RST

  1.026  MATH         @UUT_Manufacturer = "Hewlett-Packard"
  1.027  MATH         @UUT_AssetNum     = UUT()

  1.028  IF           NOT(EMPTY(@UUT_AssetNum))
  1.029  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.030  ENDIF

  1.031  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.033  IF           @Abort
  1.034  END
  1.035  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
# Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   DC CALIBRATOR                      DC CALIBRATOR
#    3.   INPUT RESISTANCE (CH1)             INPUT RESISTANCE (CH1)
#    4.   INPUT RESISTANCE (CH2)             DCV MEASUREMENT ACC (CH1)
#    5.   INPUT RESISTANCE (CH3)             DC OFFSET (CH1)
#    6.   INPUT RESISTANCE (CH4)             ANALOG BANDWIDH (CH1)
#    7.   DCV MEASUREMENT ACC (CH1)          TIMEBASE (CH1)
#    8.   DCV MEASUREMENT ACC (CH2)          TRIGGER SENS (CH1)
#    9.   DCV MEASUREMENT ACC (CH3)          AUXILIARY TRIGGER
#   10.   DCV MEASUREMENT ACC (CH4)          INPUT RESISTANCE (CH2)
#   11.   DC OFFSET (CH1)                    DCV MEASUREMENT ACC (CH2)
#   12.   DC OFFSET (CH2)                    DC OFFSET (CH2)
#   13.   DC OFFSET (CH3)                    ANALOG BANDWIDH (CH2)
#   14.   DC OFFSET (CH4)                    TRIGGER SENS (CH2)
#   15.   ANALOG BANDWIDTH (CH1)             INPUT RESISTANCE (CH3)
#   16.   ANALOG BANDWIDTH (CH2)             DCV MEASUREMENT ACC (CH3)
#   17.   ANALOG BANDWIDTH (CH3)             DC OFFSET (CH3)
#   18.   ANALOG BANDWIDTH (CH4)             ANALOG BANDWIDH (CH3)
#   19.   TIMEBASE (CH1)                     TRIGGER SENS (CH3)
#   20.   TRIGGER SENS (CH1)                 INPUT RESISTANCE (CH4)
#   21.   TRIGGER SENS (CH2)                 DCV MEASUREMENT ACC (CH4)
#   22.   TRIGGER SENS (CH3)                 DC OFFSET (CH4)
#   23.   TRIGGER SENS (CH4)                 ANALOG BANDWIDH (CH4)
#   24.   AUXILIARY TRIGGER                  TRIGGER SENS (CH4)

  1.036  CALL         Sub HP 545xx Self-test IEEE
  1.037  JMPL         END                 @Abort

  1.038  CALL         Sub HP 545xx (1 yr) DC Calibrator IEEE /DMM

  1.039  LABEL        CHANNEL_1_INPUT_RESISTANCE
  1.040  MATH         @Chan = 1
  1.041  PIC          hp545xx1
  1.042  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5500+S6
  1.043  JMPL         CHANNEL_1_DC_VOLTAGE

  1.044  LABEL        CHANNEL_2_INPUT_RESISTANCE
  1.045  PIC          hp545xx2
  1.046  MATH         @Chan = 2
  1.047  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5500+S6
  1.048  JMPL         CHANNEL_2_DC_VOLTAGE

  1.049  LABEL        CHANNEL_3_INPUT_RESISTANCE
  1.050  MATH         @Chan = 3
  1.051  PIC          hp545xx3
  1.052  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5500+S6
  1.053  JMPL         CHANNEL_3_DC_VOLTAGE

  1.054  LABEL        CHANNEL_4_INPUT_RESISTANCE
  1.055  PIC          hp545xx4
  1.056  MATH         @Chan = 4
  1.057  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5500+S6
  1.058  JMPL         CHANNEL_4_DC_VOLTAGE

  1.059  LABEL        CHANNEL_1_DC_VOLTAGE
  1.060  MATH         @Chan = 1
  1.061  CALL         Sub HP 545xx (1 yr) DCV IEEE /5500+S6
  1.062  JMPL         CHANNEL_1_DC_OFFSET

  1.063  LABEL        CHANNEL_2_DC_VOLTAGE
  1.064  MATH         @Chan = 2
  1.065  CALL         Sub HP 545xx (1 yr) DCV IEEE /5500+S6
  1.066  JMPL         CHANNEL_2_DC_OFFSET

  1.067  LABEL        CHANNEL_3_DC_VOLTAGE
  1.068  MATH         @Chan = 3
  1.069  CALL         Sub HP 545xx (1 yr) DCV IEEE /5500+S6
  1.070  JMPL         CHANNEL_3_DC_OFFSET

  1.071  LABEL        CHANNEL_4_DC_VOLTAGE
  1.072  MATH         @Chan = 4
  1.073  CALL         Sub HP 545xx (1 yr) DCV IEEE /5500+S6
  1.074  JMPL         CHANNEL_4_DC_OFFSET

  1.075  LABEL        CHANNEL_1_DC_OFFSET
  1.076  MATH         @Chan = 1
  1.077  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5500+S6
  1.078  JMPL         CHANNEL_1_ANALOG_BW

  1.079  LABEL        CHANNEL_2_DC_OFFSET
  1.080  MATH         @Chan = 2
  1.081  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5500+S6
  1.082  JMPL         CHANNEL_2_ANALOG_BW

  1.083  LABEL        CHANNEL_3_DC_OFFSET
  1.084  MATH         @Chan = 3
  1.085  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5500+S6
  1.086  JMPL         CHANNEL_3_ANALOG_BW

  1.087  LABEL        CHANNEL_4_DC_OFFSET
  1.088  MATH         @Chan = 4
  1.089  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5500+S6
  1.090  JMPL         CHANNEL_4_ANALOG_BW

  1.091  LABEL        CHANNEL_1_ANALOG_BW
  1.092  MATH         @Chan = 1
  1.093  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5500+S6
  1.094  JMPL         TIMEBASE

  1.095  LABEL        CHANNEL_2_ANALOG_BW
  1.096  MATH         @Chan = 2
  1.097  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5500+S6
  1.098  JMPL         CHANNEL_2_TRIGGER_SENS

  1.099  LABEL        CHANNEL_3_ANALOG_BW
  1.100  MATH         @Chan = 3
  1.101  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5500+S6
  1.102  JMPL         CHANNEL_3_TRIGGER_SENS

  1.103  LABEL        CHANNEL_4_ANALOG_BW
  1.104  MATH         @Chan = 4
  1.105  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5500+S6
  1.106  JMPL         CHANNEL_4_TRIGGER_SENS

  1.107  LABEL        TIMEBASE
  1.108  MATH         @Chan = 1
  1.109  CALL         Sub HP 545xx (1 yr) Timebase IEEE /5500+S6
  1.110  JMPL         CHANNEL_1_TRIGGER_SENS

  1.111  LABEL        CHANNEL_1_TRIGGER_SENS
  1.112  MATH         @Chan = 1
  1.113  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5500+S6
  1.114  JMPL         AUXILIARY_TRIGGER

  1.115  LABEL        CHANNEL_2_TRIGGER_SENS
  1.116  MATH         @Chan = 2
  1.117  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5500+S6
  1.118  JMPL         CHANNEL_3_INPUT_RESISTANCE

  1.119  LABEL        CHANNEL_3_TRIGGER_SENS
  1.120  MATH         @Chan = 3
  1.121  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5500+S6
  1.122  JMPL         CHANNEL_4_INPUT_RESISTANCE

  1.123  LABEL        CHANNEL_4_TRIGGER_SENS
  1.124  MATH         @Chan = 4
  1.125  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5500+S6
  1.126  JMPL         END

  1.127  LABEL        AUXILIARY_TRIGGER
  1.128  MATH         @Chan = 1
  1.129  CALL         Sub HP 545xx (1 yr) AUX Trigger IEEE /5500+S6
  1.130  JMPL         CHANNEL_2_INPUT_RESISTANCE

  1.131  LABEL        END
  1.132  HEAD
  1.133  RSLT         =
  1.134  IEEE         SYST:DSP "5452xA/C Verification Done"
  1.135  IEEE         [GTL]
  1.136  DISP         Remove all connections to the UUT.

  1.137  IF           @Abort
  1.138  DISP         {V E R I F I C A T I O N  A B O R T E D !}
  1.139  ENDIF

  1.140  END
